aboutsummaryrefslogtreecommitdiffstats
path: root/sh/get_current_weather.sh
diff options
context:
space:
mode:
authorsigoden <sigoden@gmail.com>2024-05-19 22:43:49 +0800
committerGitHub <noreply@github.com>2024-05-19 22:43:49 +0800
commit03c4b6982293c5be31d7eda89b6dcb8c1a7a8059 (patch)
treea2d48d189dcbe242ab69b174c734db4e70d502a2 /sh/get_current_weather.sh
parentbe279dcd322da7f84bb6451f10456b19a979e9ad (diff)
downloadllm-functions-docker-03c4b6982293c5be31d7eda89b6dcb8c1a7a8059.tar.gz
feat: supports functions in bash/js/python/ruby (#6)
Diffstat (limited to 'sh/get_current_weather.sh')
-rwxr-xr-xsh/get_current_weather.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/sh/get_current_weather.sh b/sh/get_current_weather.sh
new file mode 100755
index 0000000..47102e0
--- /dev/null
+++ b/sh/get_current_weather.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+set -e
+
+# @describe Get the current weather in a given location.
+# @option --location! The city and optionally the state or country, e.g., "London", "San Francisco, CA".
+
+main() {
+ curl -fsSL "https://wttr.in/$(echo "$argc_location" | sed 's/ /+/g')?format=4&M"
+}
+
+eval "$(argc --argc-eval "$0" "$@")"